/*
** Author: Markus van Kempen
**
** Global variables & structures
**
**
** (c) by VIONA-Development 1992/93
*/

/* SEE window structure below */

#define   WIN_LEFT      100               /* left border of window*/
#define   WIN_TOP       100               /* top edge of window */

#define   WIN_HEIGHT    120               /* ... */
#define   WIN_WIDTH     220               /* ... */

#define   WIN_MINHEIGHT 120               /* MinHeight */
#define   WIN_MINWIDTH  220               /* MinWidth  */



/*
**  variables
*/

int                 dummy;
EI_MenuPtr          Menu;          /* used in main.c InitMenu.c */
EG_EFontPtr         FontforMenu;
struct EI_Window    *Window;
ER_SimpleRequestPtr ErrorReq;

struct OpenStructTyp
{
        ULONG* Ort;
        char * Name;
        ULONG Version;
};


/*
 * The EGS Lib bases
 *
 */

struct Library *EGSBase;
struct Library *EGSBlitBase;
struct Library *EGSLayersBase;
struct Library *EGSGfxBase;
struct Library *EGSIntuiBase;
struct Library *EGSRequestBase;
struct Library *EGBBase;
struct Library *EGBMenuSelectBase;
struct Library *EGBRadioBase;
struct Library *EGBScrollBase;
struct Library *EGBSelectBase;
struct Library *EGBSetBase;
struct Library *EGBTextInfoBase;

/********************************************/

struct OpenStructTyp OpenStruct[] =
{
  { (ULONG*) &EGSBase          , "egs.library",0               },
  { (ULONG*) &EGSBlitBase      , "egsblit.library",0           },
  { (ULONG*) &EGSLayersBase    , "egslayers.library",0         },
  { (ULONG*) &EGSGfxBase       , "egsgfx.library",0            },
  { (ULONG*) &EGSIntuiBase     , "egsintui.library",0          },
  { (ULONG*) &EGBBase          , "egsgadbox.library",0         },
  { (ULONG*) &EGSRequestBase   , "egsrequest.library",0         },
  { (ULONG*) &EGBMenuSelectBase, "egb/gbmenuselect.library",0  },
  { (ULONG*) &EGBRadioBase     , "egb/gbradio.library",0       },
  { (ULONG*) &EGBScrollBase    , "egb/gbscrollbox.library",0   },
  { (ULONG*) &EGBSelectBase    , "egb/gbselect.library",0      },
  { (ULONG*) &EGBSetBase       , "egb/gbsets.library",0        },
  { (ULONG*) &EGBTextInfoBase  , "egb/gbtextinfo.library",0    },
  { 0L,0L,0L }
};

struct EI_NewWindow newwin =
{
  WIN_LEFT,                       /* left border of window*/
  WIN_TOP,                        /* top edge of window */

  WIN_WIDTH,                      /* ... */
  WIN_HEIGHT,                     /* ... */

  WIN_MINWIDTH,                   /* MinWidth  */
  WIN_MINHEIGHT,                  /* MinHeight */
  800,                            /* MaxWidth  */
  600,                            /* MaxHeight */
  NULL,                           /* Screen    */
            /* sysGadget */

   EI_WINDOWDRAG |
   EI_WINDOWCLOSE | EI_WINDOWSIZE |
   EI_WINDOWFRONT | EI_WINDOWBACK,
/*
EI_WINDOWFLIP
EI_WINDOWBIG
EI_WINDOWSMALL
EI_WINDOWICON
EI_WINDOWARROWL
EI_WINDOWARROWR
EI_WINDOWARROWU
EI_WINDOWARROWD
EI_WINDOWSCROLLH
EI_WINDOWSCROLLV
EI_WINDOWDRAG
*/

  NULL,                           /* EI_GadgetPtr -> gadgets   */
                                  /* FirstGadget */
  "Titel",                        /* Titel                     */

                                  /* Flags  */

   EI_WINDOWACTIVE     |
   EI_WINDOW_MENULOCAL |
   EI_FRONTBACKGADGET  |
   EI_WINDOWCENTER     |
   EI_SIMPLE_REFRESH   |
   EI_GIMMEZEROZERO    |
   EI_SIZEBRIGHT       ,


/* Corresponding EI_WindowFlagSet has 32 bits ! */

/*

EI_GIMMEZEROZERO
EI_BORDERLESS
EI_SUPER_BITMAP
EI_SIMPLE_REFRESH
EI_WINDOWREFRESH
EI_WINDOWACTIVE
EI_WINDOW_MENULOCAL
EI_OWN_IDCMPPORT
EI_OWN_COLORPALETTE
EI_FRONTBACKGADGET
EI_RMBTRAP
EI_REPROTMOUSE
EI_BACKDROP
EI_SMART_REFRESH
EI_WINDOW_MENUPOPUP
EI_SIZEBBOTTOM
EI_SIZEBRIGHT
EI_WINDOW_USERSTYLE
EI_ACTIVETOFRONT
EI_QUICKSCROLL
EI_WINDOW_SLEEPING
EI_FIXWINDOW_RATIO
EI_FORCE_TO_SCREEN
EI_WINDOWCENTER
EI_SENDOUT_SIDEMOVES


                                                /* IDCMP -Flags */
  EI_iCLOSEWINDOW |
  EI_iMOVEWINDOW  |
  EI_iSIZEVERIFY  |
  EI_iNEWSIZE     |
  EI_iMENUPICK,


/* Corresponding EI_EIDCMPFlagSet has 32 bits ! */
/*

EI_iMOUSEBOTTONS
EI_iMOUSEMOVE
EI_iRAWKEY
EI_iACTIVEWINDOW
EI_iREFRESHWINDOW
EI_iCLOSEWINDOW
EI_iNEWSIZE
EI_iGADGETDOWN
EI_iGADGETUP
EI_iMENUVERIFY
EI_iVANILLAKEY
EI_iSIZEVERIFY
EI_iINACTIVEWINDOW
EI_iINTUITICKS
EI_iDISKINSERT
EI_iDISKREMOVE
EI_iNEWPREFS
*/

  NULL,                           /* MsgPort *p    */
            /* Windowcolors  */
  { 3 ,1 ,0 ,2 ,1 ,3 ,1 },        /* WinColors     */
  NULL,                           /* MenuPtr       */
  NULL                            /* IntuiGfxPtr   */
};

struct TextAttr FontStr = {
       "times.font",  /* Name */
       24,            /* Y-Size */
       0,
       0
      };



